Subject: Re: bug#30373: [PATCH] Implement finalizers for module functions (Bug#30373)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jan 2020 22:13:25 +0200

> From: Pip Cet <[email-masked]>
> Date: Fri, 3 Jan 2020 18:53:46 +0000
> Cc: Philipp Stephani <[email-masked]>, [email-masked], [email-masked]
> 
> If I'm reading the test correctly, it depends on garbage-collect
> actually collecting an unreferenced vector; since our GC's
> conservative, that might not be working for you, if a word that
> happens to look like a reference to the vector is still on the stack.
> (Or it might be something else entirely, but I don't think the test as
> it stands is correct).

You are probably right, because I see the same failure on GNU/Linux,
in an x86_64 unoptimized build:

  Test module/function-finalizer condition:
      (ert-test-failed
       ((should
	 (equal
	  (mod-test-function-finalizer-calls)
	  expected-calls))
	:form
	(equal
	 (0 0)
	 (1 0))
	:value nil :explanation
	(list-elt 0
		  (different-atoms
		   (0 "#x0" "?")
		   (1 "#x1" "?")))))
     FAILED  26/27  module/function-finalizer (0.247565 sec)